Bug 866718 - [abrt] udisks2-2.0.0-1.fc18: Process /usr/lib/udisks2/udisksd was killed by signal 11 (SIGSEGV)
[abrt] udisks2-2.0.0-1.fc18: Process /usr/lib/udisks2/udisksd was killed by s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:5024c9528abc7224bc77a02bbfa...
:
: 885404 890362 890462 891163 891416 894625 895506 895776 896110 896145 896210 896663 896746 901634 901719 901801 901859 901958 901982 902029 902074 902155 902364 902822 903851 903912 903955 904176 904323 904813 904861 904872 905251 906372 906435 906954 907098 907602 908378 909487 909506 909632 910012 911085 911391 911440 911456 911768 911804 911813 912500 912502 912608 912862 912872 912885 913255 913394 914873 914962 914993 915077 915100 915134 915544 916049 917987 918077 918345 918370 920846 921278 921654 921802 921823 922480 922492 922592 923848 924017 924145 924544 926876 926879 929273 929363 929378 929429 947465 948009 949173 950353 951098 951105 951182 951954 952255 953309 955899 956644 957232 957738 958746 960881 962105 962141 962153 962219 962781 965271 965868 966079 967195 967974 969818 969994 971678 972865 973192 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 21:17 EDT by Adam Williamson
Modified: 2015-03-03 18:05 EST (History)
94 users (show)

See Also:
Fixed In Version: polkit-0.107-5.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 05:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.09 KB, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: environ (150 bytes, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: backtrace (51.95 KB, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: cgroup (160 bytes, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: smolt_data (3.64 KB, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: maps (12.28 KB, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: dso_list (2.29 KB, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: proc_pid_status (886 bytes, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: var_log_messages (476 bytes, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
File: open_fds (534 bytes, text/plain)
2012-10-15 21:17 EDT, Adam Williamson
no flags Details
proof of concept patch (2.17 KB, patch)
2013-05-29 10:06 EDT, Tomáš Bžatek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 65130 None None None Never

  None (edit)
Description Adam Williamson 2012-10-15 21:17:32 EDT
Description of problem:
Ran gnome-disk-utility to test it. g-d-u came up showing just a single 'disk' called 'Filesystem' (which is obviously completely wrong) and the udisks2 crash notification popped up a second or two later. using gnome-disk-utility-3.6.1-1.fc18.x86_64 and udisks2-2.0.0-1.fc18.x86_64 .

Version-Release number of selected component:
udisks2-2.0.0-1.fc18

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.15
backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
crash_function: udisks_daemon_util_check_authorization_sync
kernel:         3.6.1-1.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 udisks_daemon_util_check_authorization_sync at udisksdaemonutil.c:661
: #1 handle_pm_get_state at udiskslinuxdriveata.c:1465
: #2 ffi_call_unix64 at ../src/x86/unix64.S:75
: #3 ffi_call at ../src/x86/ffi64.c:486
: #4 g_cclosure_marshal_generic at gclosure.c:1454
: #7 g_signal_emitv at gsignal.c:3041
: #8 _udisks_drive_ata_skeleton_handle_method_call at udisks-generated.c:8717
: #9 dispatch_in_thread_func at gdbusinterfaceskeleton.c:540
: #10 io_job_thread at gioscheduler.c:162
: #12 g_thread_proxy at gthread.c:797
Comment 1 Adam Williamson 2012-10-15 21:17:34 EDT
Created attachment 627829 [details]
File: core_backtrace
Comment 2 Adam Williamson 2012-10-15 21:17:36 EDT
Created attachment 627830 [details]
File: environ
Comment 3 Adam Williamson 2012-10-15 21:17:37 EDT
Created attachment 627831 [details]
File: limits
Comment 4 Adam Williamson 2012-10-15 21:17:39 EDT
Created attachment 627832 [details]
File: backtrace
Comment 5 Adam Williamson 2012-10-15 21:17:40 EDT
Created attachment 627833 [details]
File: cgroup
Comment 6 Adam Williamson 2012-10-15 21:17:42 EDT
Created attachment 627834 [details]
File: smolt_data
Comment 7 Adam Williamson 2012-10-15 21:17:43 EDT
Created attachment 627835 [details]
File: maps
Comment 8 Adam Williamson 2012-10-15 21:17:45 EDT
Created attachment 627836 [details]
File: dso_list
Comment 9 Adam Williamson 2012-10-15 21:17:47 EDT
Created attachment 627837 [details]
File: proc_pid_status
Comment 10 Adam Williamson 2012-10-15 21:17:48 EDT
Created attachment 627838 [details]
File: var_log_messages
Comment 11 Adam Williamson 2012-10-15 21:17:49 EDT
Created attachment 627839 [details]
File: open_fds
Comment 12 David Zeuthen 2012-10-16 12:54:57 EDT
So polkit_authority_check_authorization_sync() returns NULL but the GError passed is not set. Looks like a polkit bug to me. What version of polkit are you using?

Please run (as root) this command to reproduce

 # gdb --args /usr/lib/udisks2/udisksd --replace

and then verify that the @result local is NULL and @error is also NULL. Thanks.
Comment 13 Adam Williamson 2012-10-16 15:57:55 EDT
I can't reproduce it in my current running session :/ Disks comes up fine now, no matter how many times I re-spawn udisksd.

I'll check it after a clean boot and withdraw the negative feedback if I can't reproduce it there...
Comment 14 David Zeuthen 2012-10-17 12:31:06 EDT
Hey Adam, were you able to reproduce this problem? Thanks, David
Comment 15 Adam Williamson 2012-10-17 18:47:46 EDT
After a clean reboot, it happens once. Subsequent launches of gnome-disks are fine (I guess udisksd is transparently re-launched). Seems to be consistent.
Comment 16 David Zeuthen 2012-10-22 10:16:48 EDT
(In reply to comment #15)
> After a clean reboot, it happens once. Subsequent launches of gnome-disks
> are fine (I guess udisksd is transparently re-launched). Seems to be
> consistent.

Uhm, if it's consistent, please provide the information requested in comment 12 then. Also, please check if it happens in selinux permissive mode as well. Thanks.
Comment 17 Adam Williamson 2012-10-22 20:53:00 EDT
Well, I can't! If I run udisks --replace then the bug doesn't happen. It only happens with the instance of udisks that's run during boot. As soon as udisks gets restarted - manually, or by triggering this bug once - it starts working fine. I can check for selinux, though.
Comment 18 David Zeuthen 2012-11-05 12:02:13 EST
(In reply to comment #17)
> Well, I can't! If I run udisks --replace then the bug doesn't happen. It
> only happens with the instance of udisks that's run during boot. As soon as
> udisks gets restarted - manually, or by triggering this bug once - it starts
> working fine. I can check for selinux, though.

Please do. Also, please do it a bit quicker or close the bug - it's not useful if the process of working on the bug is so slow.

Also please remove your -1 on

 https://admin.fedoraproject.org/updates/FEDORA-2012-15303/udisks2-2.0.0-1.fc18

since you have not demonstrated that this is a problem with the updated package (it looks like a problem with your system or selinux instead). Thanks!
Comment 19 Adam Williamson 2012-11-05 13:38:16 EST
sorry, I'm somewhat busy with 18 validation atm. I just ran gnome-disks for the first time on this boot and the problem didn't happen, so it's possible it got resolved somehow. i'll try and find some time to check it once more then update things.
Comment 20 Jason Brown 2012-12-21 20:30:41 EST
i opened udisk

backtrace_rating: 4
Package: udisks2-2.0.1-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 21 Mihai Harpau 2013-01-26 11:05:26 EST
I just opened Disks

udisks2-2.0.1-1.fc18
Fedora release 18 (Spherical Cow) (upgraded from F17 with fedup)
Comment 22 Fedora Admin XMLRPC Client 2013-02-04 08:16:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 23 Fedora Admin XMLRPC Client 2013-02-04 08:17:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Tomáš Bžatek 2013-03-22 11:27:59 EDT
*** Bug 885404 has been marked as a duplicate of this bug. ***
Comment 25 Tomáš Bžatek 2013-03-22 11:28:58 EDT
*** Bug 890362 has been marked as a duplicate of this bug. ***
Comment 26 Tomáš Bžatek 2013-03-22 11:29:37 EDT
*** Bug 890462 has been marked as a duplicate of this bug. ***
Comment 27 Tomáš Bžatek 2013-03-22 11:30:11 EDT
*** Bug 891163 has been marked as a duplicate of this bug. ***
Comment 28 Tomáš Bžatek 2013-03-22 11:30:49 EDT
*** Bug 891416 has been marked as a duplicate of this bug. ***
Comment 29 Tomáš Bžatek 2013-03-22 11:31:54 EDT
*** Bug 894625 has been marked as a duplicate of this bug. ***
Comment 30 Tomáš Bžatek 2013-03-22 11:32:54 EDT
*** Bug 895506 has been marked as a duplicate of this bug. ***
Comment 31 Tomáš Bžatek 2013-03-22 11:33:35 EDT
*** Bug 895776 has been marked as a duplicate of this bug. ***
Comment 32 Tomáš Bžatek 2013-03-22 11:35:14 EDT
*** Bug 896110 has been marked as a duplicate of this bug. ***
Comment 33 Tomáš Bžatek 2013-03-22 11:35:53 EDT
*** Bug 896145 has been marked as a duplicate of this bug. ***
Comment 34 Tomáš Bžatek 2013-03-22 11:37:33 EDT
*** Bug 896210 has been marked as a duplicate of this bug. ***
Comment 35 Tomáš Bžatek 2013-03-22 11:38:03 EDT
*** Bug 896663 has been marked as a duplicate of this bug. ***
Comment 36 Tomáš Bžatek 2013-03-22 11:38:30 EDT
*** Bug 896746 has been marked as a duplicate of this bug. ***
Comment 37 Tomáš Bžatek 2013-03-22 11:40:57 EDT
*** Bug 901634 has been marked as a duplicate of this bug. ***
Comment 38 Tomáš Bžatek 2013-03-22 11:41:29 EDT
*** Bug 901719 has been marked as a duplicate of this bug. ***
Comment 39 Tomáš Bžatek 2013-03-22 11:42:03 EDT
*** Bug 901801 has been marked as a duplicate of this bug. ***
Comment 40 Tomáš Bžatek 2013-03-22 11:42:32 EDT
*** Bug 901859 has been marked as a duplicate of this bug. ***
Comment 41 Tomáš Bžatek 2013-03-22 11:43:21 EDT
*** Bug 901958 has been marked as a duplicate of this bug. ***
Comment 42 Tomáš Bžatek 2013-03-22 11:43:50 EDT
*** Bug 901982 has been marked as a duplicate of this bug. ***
Comment 43 Tomáš Bžatek 2013-03-22 11:44:45 EDT
*** Bug 902029 has been marked as a duplicate of this bug. ***
Comment 44 Tomáš Bžatek 2013-03-22 11:45:13 EDT
*** Bug 902074 has been marked as a duplicate of this bug. ***
Comment 45 Tomáš Bžatek 2013-03-22 11:46:20 EDT
*** Bug 902155 has been marked as a duplicate of this bug. ***
Comment 46 Tomáš Bžatek 2013-03-22 11:46:55 EDT
*** Bug 902364 has been marked as a duplicate of this bug. ***
Comment 47 Tomáš Bžatek 2013-03-22 11:47:50 EDT
*** Bug 902822 has been marked as a duplicate of this bug. ***
Comment 48 Tomáš Bžatek 2013-03-22 11:48:56 EDT
*** Bug 903851 has been marked as a duplicate of this bug. ***
Comment 49 Tomáš Bžatek 2013-03-22 11:50:04 EDT
*** Bug 903912 has been marked as a duplicate of this bug. ***
Comment 50 Tomáš Bžatek 2013-03-22 11:51:07 EDT
*** Bug 903955 has been marked as a duplicate of this bug. ***
Comment 51 Tomáš Bžatek 2013-03-22 11:51:35 EDT
*** Bug 904176 has been marked as a duplicate of this bug. ***
Comment 52 Tomáš Bžatek 2013-03-22 11:54:01 EDT
*** Bug 904323 has been marked as a duplicate of this bug. ***
Comment 53 Tomáš Bžatek 2013-03-22 11:54:35 EDT
*** Bug 904813 has been marked as a duplicate of this bug. ***
Comment 54 Tomáš Bžatek 2013-03-22 11:55:14 EDT
*** Bug 904861 has been marked as a duplicate of this bug. ***
Comment 55 Tomáš Bžatek 2013-03-22 11:58:19 EDT
*** Bug 904861 has been marked as a duplicate of this bug. ***
Comment 56 Tomáš Bžatek 2013-03-22 11:59:25 EDT
*** Bug 904872 has been marked as a duplicate of this bug. ***
Comment 57 Tomáš Bžatek 2013-03-22 11:59:51 EDT
*** Bug 905251 has been marked as a duplicate of this bug. ***
Comment 58 Tomáš Bžatek 2013-03-22 12:00:32 EDT
*** Bug 906372 has been marked as a duplicate of this bug. ***
Comment 59 Tomáš Bžatek 2013-03-22 12:01:24 EDT
*** Bug 906435 has been marked as a duplicate of this bug. ***
Comment 60 Tomáš Bžatek 2013-03-22 12:01:55 EDT
*** Bug 906954 has been marked as a duplicate of this bug. ***
Comment 61 Tomáš Bžatek 2013-03-22 12:02:28 EDT
*** Bug 907098 has been marked as a duplicate of this bug. ***
Comment 62 Tomáš Bžatek 2013-03-22 12:03:21 EDT
*** Bug 907602 has been marked as a duplicate of this bug. ***
Comment 63 Tomáš Bžatek 2013-03-22 12:04:17 EDT
*** Bug 908378 has been marked as a duplicate of this bug. ***
Comment 64 Tomáš Bžatek 2013-03-22 12:04:49 EDT
*** Bug 909487 has been marked as a duplicate of this bug. ***
Comment 65 Tomáš Bžatek 2013-03-22 12:05:18 EDT
*** Bug 909506 has been marked as a duplicate of this bug. ***
Comment 66 Tomáš Bžatek 2013-03-22 12:05:46 EDT
*** Bug 909632 has been marked as a duplicate of this bug. ***
Comment 67 Tomáš Bžatek 2013-03-22 12:06:13 EDT
*** Bug 910012 has been marked as a duplicate of this bug. ***
Comment 68 Tomáš Bžatek 2013-03-22 12:06:39 EDT
*** Bug 911085 has been marked as a duplicate of this bug. ***
Comment 69 Tomáš Bžatek 2013-03-22 12:07:06 EDT
*** Bug 911391 has been marked as a duplicate of this bug. ***
Comment 70 Tomáš Bžatek 2013-03-22 12:07:32 EDT
*** Bug 911440 has been marked as a duplicate of this bug. ***
Comment 71 Tomáš Bžatek 2013-03-22 12:08:04 EDT
*** Bug 911456 has been marked as a duplicate of this bug. ***
Comment 72 Tomáš Bžatek 2013-03-22 12:08:49 EDT
*** Bug 911768 has been marked as a duplicate of this bug. ***
Comment 73 Tomáš Bžatek 2013-03-22 12:09:13 EDT
*** Bug 911804 has been marked as a duplicate of this bug. ***
Comment 74 Tomáš Bžatek 2013-03-22 12:09:47 EDT
*** Bug 911813 has been marked as a duplicate of this bug. ***
Comment 75 Tomáš Bžatek 2013-03-22 12:10:15 EDT
*** Bug 912500 has been marked as a duplicate of this bug. ***
Comment 76 Tomáš Bžatek 2013-03-22 12:11:18 EDT
*** Bug 912502 has been marked as a duplicate of this bug. ***
Comment 77 Tomáš Bžatek 2013-03-22 12:11:55 EDT
*** Bug 912608 has been marked as a duplicate of this bug. ***
Comment 78 Tomáš Bžatek 2013-03-22 12:14:02 EDT
*** Bug 912862 has been marked as a duplicate of this bug. ***
Comment 79 Tomáš Bžatek 2013-03-22 12:14:38 EDT
*** Bug 912872 has been marked as a duplicate of this bug. ***
Comment 80 Tomáš Bžatek 2013-03-22 12:15:22 EDT
*** Bug 912885 has been marked as a duplicate of this bug. ***
Comment 81 Tomáš Bžatek 2013-03-22 12:15:55 EDT
*** Bug 913255 has been marked as a duplicate of this bug. ***
Comment 82 Tomáš Bžatek 2013-03-22 12:16:28 EDT
*** Bug 913394 has been marked as a duplicate of this bug. ***
Comment 83 Tomáš Bžatek 2013-03-22 12:19:04 EDT
*** Bug 914962 has been marked as a duplicate of this bug. ***
Comment 84 Tomáš Bžatek 2013-03-22 12:19:38 EDT
*** Bug 914993 has been marked as a duplicate of this bug. ***
Comment 85 Tomáš Bžatek 2013-03-22 12:20:09 EDT
*** Bug 915100 has been marked as a duplicate of this bug. ***
Comment 86 Tomáš Bžatek 2013-03-22 12:20:39 EDT
*** Bug 915134 has been marked as a duplicate of this bug. ***
Comment 87 Tomáš Bžatek 2013-03-22 12:21:13 EDT
*** Bug 915544 has been marked as a duplicate of this bug. ***
Comment 88 Tomáš Bžatek 2013-03-22 12:21:40 EDT
*** Bug 916049 has been marked as a duplicate of this bug. ***
Comment 89 Tomáš Bžatek 2013-03-22 12:22:13 EDT
*** Bug 917987 has been marked as a duplicate of this bug. ***
Comment 90 Tomáš Bžatek 2013-03-22 12:22:52 EDT
*** Bug 918077 has been marked as a duplicate of this bug. ***
Comment 91 Tomáš Bžatek 2013-03-22 12:23:32 EDT
*** Bug 918345 has been marked as a duplicate of this bug. ***
Comment 92 Tomáš Bžatek 2013-03-22 12:24:15 EDT
*** Bug 918370 has been marked as a duplicate of this bug. ***
Comment 93 Tomáš Bžatek 2013-03-22 12:25:07 EDT
*** Bug 920846 has been marked as a duplicate of this bug. ***
Comment 94 Tomáš Bžatek 2013-03-22 12:25:54 EDT
*** Bug 921278 has been marked as a duplicate of this bug. ***
Comment 95 Tomáš Bžatek 2013-03-22 12:26:45 EDT
*** Bug 921654 has been marked as a duplicate of this bug. ***
Comment 96 Tomáš Bžatek 2013-03-22 12:27:22 EDT
*** Bug 921802 has been marked as a duplicate of this bug. ***
Comment 97 Tomáš Bžatek 2013-03-22 12:27:58 EDT
*** Bug 921823 has been marked as a duplicate of this bug. ***
Comment 98 Tomáš Bžatek 2013-03-22 12:28:27 EDT
*** Bug 922480 has been marked as a duplicate of this bug. ***
Comment 99 Tomáš Bžatek 2013-03-22 12:29:03 EDT
*** Bug 922492 has been marked as a duplicate of this bug. ***
Comment 100 Tomáš Bžatek 2013-03-22 12:29:29 EDT
*** Bug 922592 has been marked as a duplicate of this bug. ***
Comment 101 Tomáš Bžatek 2013-03-22 12:29:56 EDT
*** Bug 923848 has been marked as a duplicate of this bug. ***
Comment 102 Tomáš Bžatek 2013-03-22 12:30:26 EDT
*** Bug 924017 has been marked as a duplicate of this bug. ***
Comment 103 Tomáš Bžatek 2013-03-22 12:31:03 EDT
*** Bug 924145 has been marked as a duplicate of this bug. ***
Comment 104 Tomáš Bžatek 2013-03-22 12:31:38 EDT
*** Bug 924544 has been marked as a duplicate of this bug. ***
Comment 105 Tomáš Bžatek 2013-03-22 12:32:34 EDT
*** Bug 914873 has been marked as a duplicate of this bug. ***
Comment 106 Michal Nowak 2013-03-22 13:05:12 EDT
^ Perhaps ABRT should be trained to catch those dupes?
Comment 107 Cyber Trekker 2013-03-22 18:26:16 EDT
Error eventuated immediately after booting...

backtrace_rating: 4
Package: udisks2-2.0.1-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 108 omar goulin 2013-03-24 04:12:53 EDT
active usb disk Archos 43 it

backtrace_rating: 4
Package: udisks2-2.0.1-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 109 Tomáš Bžatek 2013-03-26 10:32:12 EDT
(In reply to comment #106)
> ^ Perhaps ABRT should be trained to catch those dupes?

Yes, already reported, ABRT team is investigating.
Comment 110 Tomáš Bžatek 2013-03-26 10:42:23 EDT
We still need a good reproducer, most of the reports look like random crashes. We need a case that could be debugged. We also need messages printed by udisksd on console.

If somebody is still seeing this problem, please let us know.
Comment 111 sangu 2013-04-13 00:21:09 EDT
(In reply to comment #105)
> *** Bug 914873 has been marked as a duplicate of this bug. ***

While mostly gnome-shell start, this issue happens.

gnome-shell-3.8.0.1-2.fc19.x86_64
udisks2-2.1.0-2.fc19.x86_64
Comment 112 Michal Nowak 2013-04-13 02:58:53 EDT
(In reply to comment #110)
> We still need a good reproducer, most of the reports look like random
> crashes. We need a case that could be debugged. We also need messages
> printed by udisksd on console.
> 
> If somebody is still seeing this problem, please let us know.

Interestingly, it disappeared once I tried to trace it. Now it's gone for me even w/o tracing it. Sorry...
Comment 113 sangu 2013-04-13 03:05:35 EDT
(In reply to comment #111)
> (In reply to comment #105)
> > *** Bug 914873 has been marked as a duplicate of this bug. ***
> 
> While mostly gnome-shell start, this issue happens.
> 
> gnome-shell-3.8.0.1-2.fc19.x86_64
> udisks2-2.1.0-2.fc19.x86_64

(In reply to comment #110)
> We still need a good reproducer, most of the reports look like random
> crashes. We need a case that could be debugged. We also need messages
> printed by udisksd on console.
> 
> If somebody is still seeing this problem, please let us know.

usb 3.0 hard docking station power on -> udisksd  segfault error 
# /usr/lib/udisks2/udisksd -r
15:54:33.883:[1804]:[NOTICE]: udisks daemon version 2.1.0 starting [main.c:146, main()]
15:54:33.885:[1804]:[DEBUG]: Entering main event loop [main.c:171, main()]
15:54:33.901:[1804]:[INFO]: Initialization (device probing) [udiskslinuxprovider.c:445, udisks_linux_provider_start()]
15:54:33.903:[1804]:[INFO]: Initialization (coldplug 1/2) [udiskslinuxprovider.c:457, udisks_linux_provider_start()]
15:54:33.903:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop0 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.904:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop1 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.904:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop2 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.905:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop3 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.905:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop4 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.905:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop5 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.905:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop6 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.905:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop7 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.906:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.906:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda1 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.907:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda2 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.907:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda3 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.908:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda4 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.908:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda5 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.908:[1804]:[INFO]: Initialization (coldplug 2/2) [udiskslinuxprovider.c:457, udisks_linux_provider_start()]
15:54:33.908:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop0 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.908:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop1 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.908:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop2 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.909:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop3 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.909:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop4 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.909:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop5 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.909:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop6 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.909:[1804]:[DEBUG]: uevent add /sys/devices/virtual/block/loop7 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.909:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.910:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda1 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.910:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda2 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.910:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda3 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.910:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda4 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.910:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda5 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:33.910:[1804]:[INFO]: Initialization complete [udiskslinuxprovider.c:466, udisks_linux_provider_start()]
15:54:33.910:[1806]:[INFO]: Housekeeping initiated (0 seconds since last housekeeping) [udiskslinuxprovider.c:969, housekeeping_thread_func()]
15:54:33.911:[1806]:[INFO]: Refreshing SMART data on /org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1E1Q3VM (nowakeup=0) [udiskslinuxdriveobject.c:925, udisks_linux_drive_object_housekeeping()]
15:54:33.911:[1804]:[DEBUG]: Connected to the system bus [main.c:53, on_bus_acquired()]
15:54:33.911:[1809]:[INFO]: Entering cleanup thread [udisksstate.c:306, udisks_state_thread_func()]
15:54:33.911:[1809]:[INFO]: Cleanup check start [udisksstate.c:419, udisks_state_check_in_thread()]
15:54:33.911:[1809]:[INFO]: Cleanup check end [udisksstate.c:457, udisks_state_check_in_thread()]
15:54:33.911:[1804]:[NOTICE]: Acquired the name org.freedesktop.UDisks2 on the system message bus [main.c:77, on_name_acquired()]
15:54:34.019:[1806]:[INFO]: Housekeeping complete [udiskslinuxprovider.c:973, housekeeping_thread_func()]
15:54:51.252:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:14.0/usb4/4-2/4-2:1.0/host8 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:52.254:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:14.0/usb4/4-2/4-2:1.0/host8/target8:0:0 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:52.254:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:14.0/usb4/4-2/4-2:1.0/host8/target8:0:0/8:0:0:0 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:52.254:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:14.0/usb4/4-2/4-2:1.0/host8/target8:0:0/8:0:0:1 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:52.820:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:14.0/usb4/4-2/4-2:1.0/host8/target8:0:0/8:0:0:0/block/sdb [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:52.846:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:14.0/usb4/4-2/4-2:1.0/host8/target8:0:0/8:0:0:1/block/sdc [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:52.932:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:14.0/usb4/4-2/4-2:1.0/host8/target8:0:0/8:0:0:0/block/sdb/sdb1 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]
15:54:52.938:[1804]:[DEBUG]: uevent add /sys/devices/pci0000:00/0000:00:14.0/usb4/4-2/4-2:1.0/host8/target8:0:0/8:0:0:1/block/sdc/sdc1 [udiskslinuxprovider.c:902, udisks_linux_provider_handle_uevent()]

(udisksd:1804): GLib-GObject-WARNING **: cannot register existing type `PolkitSubject'

(udisksd:1804): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `G_TYPE_IS_INTERFACE (interface_type)' failed

(udisksd:1804): GLib-GObject-WARNING **: cannot register existing type `PolkitSubject'

(udisksd:1804): GLib-GObject-WARNING **: invalid cast from `PolkitSystemBusName' to `<invalid>'

(udisksd:1804): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `G_TYPE_IS_INTERFACE (interface_type)' failed

** (udisksd:1804): CRITICAL **: polkit_authority_check_authorization_sync: assertion `POLKIT_IS_SUBJECT (subject)' failed

(udisksd:1804): GLib-GObject-WARNING **: cannot register existing type `PolkitSubject'

(udisksd:1804): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `G_TYPE_IS_INTERFACE (interface_type)' failed

** (udisksd:1804): CRITICAL **: polkit_authority_check_authorization_sync: assertion `POLKIT_IS_SUBJECT (subject)' failed

segmentation fault (core dumped)
Comment 114 Tomáš Bžatek 2013-05-15 10:21:46 EDT
*** Bug 962781 has been marked as a duplicate of this bug. ***
Comment 115 Tomáš Bžatek 2013-05-15 10:22:42 EDT
*** Bug 962219 has been marked as a duplicate of this bug. ***
Comment 116 Tomáš Bžatek 2013-05-15 10:23:06 EDT
*** Bug 962141 has been marked as a duplicate of this bug. ***
Comment 117 Tomáš Bžatek 2013-05-15 10:23:54 EDT
*** Bug 962105 has been marked as a duplicate of this bug. ***
Comment 118 Tomáš Bžatek 2013-05-15 10:24:20 EDT
*** Bug 960881 has been marked as a duplicate of this bug. ***
Comment 119 Tomáš Bžatek 2013-05-15 10:25:07 EDT
*** Bug 958746 has been marked as a duplicate of this bug. ***
Comment 120 Tomáš Bžatek 2013-05-15 10:25:47 EDT
*** Bug 957738 has been marked as a duplicate of this bug. ***
Comment 121 Tomáš Bžatek 2013-05-15 10:26:24 EDT
*** Bug 957232 has been marked as a duplicate of this bug. ***
Comment 122 Tomáš Bžatek 2013-05-15 10:26:49 EDT
*** Bug 956644 has been marked as a duplicate of this bug. ***
Comment 123 Tomáš Bžatek 2013-05-15 10:27:37 EDT
*** Bug 955899 has been marked as a duplicate of this bug. ***
Comment 124 Tomáš Bžatek 2013-05-15 10:28:00 EDT
*** Bug 953309 has been marked as a duplicate of this bug. ***
Comment 125 Tomáš Bžatek 2013-05-15 10:28:45 EDT
*** Bug 952255 has been marked as a duplicate of this bug. ***
Comment 126 Tomáš Bžatek 2013-05-15 10:29:19 EDT
*** Bug 951954 has been marked as a duplicate of this bug. ***
Comment 127 Tomáš Bžatek 2013-05-15 10:30:12 EDT
*** Bug 951182 has been marked as a duplicate of this bug. ***
Comment 128 Tomáš Bžatek 2013-05-15 10:30:44 EDT
*** Bug 951105 has been marked as a duplicate of this bug. ***
Comment 129 Tomáš Bžatek 2013-05-15 10:31:18 EDT
*** Bug 951098 has been marked as a duplicate of this bug. ***
Comment 130 Tomáš Bžatek 2013-05-15 10:31:53 EDT
*** Bug 950353 has been marked as a duplicate of this bug. ***
Comment 131 Tomáš Bžatek 2013-05-15 10:32:23 EDT
*** Bug 949173 has been marked as a duplicate of this bug. ***
Comment 132 Tomáš Bžatek 2013-05-15 10:32:48 EDT
*** Bug 948009 has been marked as a duplicate of this bug. ***
Comment 133 Tomáš Bžatek 2013-05-15 10:33:20 EDT
*** Bug 947465 has been marked as a duplicate of this bug. ***
Comment 134 Tomáš Bžatek 2013-05-15 10:34:02 EDT
*** Bug 929429 has been marked as a duplicate of this bug. ***
Comment 135 Tomáš Bžatek 2013-05-15 10:34:39 EDT
*** Bug 929378 has been marked as a duplicate of this bug. ***
Comment 136 Tomáš Bžatek 2013-05-15 10:35:21 EDT
*** Bug 929363 has been marked as a duplicate of this bug. ***
Comment 137 Tomáš Bžatek 2013-05-15 10:36:11 EDT
*** Bug 929273 has been marked as a duplicate of this bug. ***
Comment 138 Tomáš Bžatek 2013-05-15 10:38:22 EDT
*** Bug 926879 has been marked as a duplicate of this bug. ***
Comment 139 Tomáš Bžatek 2013-05-15 10:38:57 EDT
*** Bug 926876 has been marked as a duplicate of this bug. ***
Comment 140 Tomáš Bžatek 2013-05-16 09:36:39 EDT
(In reply to comment #113)
> 
> (udisksd:1804): GLib-GObject-WARNING **: cannot register existing type
> `PolkitSubject'
> 
> (udisksd:1804): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite:
> assertion `G_TYPE_IS_INTERFACE (interface_type)' failed
> 
> (udisksd:1804): GLib-GObject-WARNING **: cannot register existing type
> `PolkitSubject'
> 
> (udisksd:1804): GLib-GObject-WARNING **: invalid cast from
> `PolkitSystemBusName' to `<invalid>'
> 
> (udisksd:1804): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite:
> assertion `G_TYPE_IS_INTERFACE (interface_type)' failed
> 
> ** (udisksd:1804): CRITICAL **: polkit_authority_check_authorization_sync:
> assertion `POLKIT_IS_SUBJECT (subject)' failed
> 
> (udisksd:1804): GLib-GObject-WARNING **: cannot register existing type
> `PolkitSubject'
> 
> (udisksd:1804): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite:
> assertion `G_TYPE_IS_INTERFACE (interface_type)' failed
> 
> ** (udisksd:1804): CRITICAL **: polkit_authority_check_authorization_sync:
> assertion `POLKIT_IS_SUBJECT (subject)' failed
> 
> segmentation fault (core dumped)

Thank you, this is very helpful. Does it happen in fully started desktop session? Is it reproducible?


The POLKIT_IS_SUBJECT() macro fails, we probably pass wrong PolkitSubject* in. That is created by the following call:

>  subject = polkit_system_bus_name_new (g_dbus_method_invocation_get_sender (invocation));

Keeping in mind that we have a reference to invocation so that g_dbus_method_invocation_get_sender() succeeds and there are no errors from g_dbus_is_unique_name() call, it all seems to be a problem of "PolkitSubject" type registration (plugin load?) and subsequent g_object_new() failure.


While we can fix the crash by checking the error variable, the result of the udisks_daemon_util_check_authorization_sync() function call would be FALSE and some operations would be denied without any obvious reason, making users and developers even more confused while debugging. Also random denial doesn't bring any good experience either.

If this is a race (I see sdb1 and sdc1 devices appearing at the same time), who is responsible for PolkitSubject registration? In this case PolkitSystemBusName only implements PolkitSubjectIface, does the GObject machinery somehow registers the PolkitSubject GType type? (PolkitSystemBusName is of type G_TYPE_OBJECT, not a POLKIT_TYPE_SUBJECT).

Reassigning to polkit for investigation.
Comment 141 David Zeuthen 2013-05-17 02:26:48 EDT
For the record, as the author if libpolkit-gobject, it's supposed to be thread-safe (and I strongly believe it actually is). Instead, I think the problem is with the GLib type system. This

> (udisksd:1804): GLib-GObject-WARNING **: cannot register existing type
> `PolkitSubject'

and the fact that all we do is this

 http://cgit.freedesktop.org/polkit/tree/src/polkit/polkitsystembusname.c#n195

makes me say that. There's also a history of threading issues with type registration in GLib (specifically gtype.c). I would start looking there...
Comment 142 hx 2013-05-18 11:53:54 EDT
Update to new kernel?

backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
core_backtrace: 
executable:     /usr/lib/udisks2/udisksd
kernel:         3.8.11-200.fc18.x86_64
package:        udisks2-2.0.1-2.fc18
reason:         Process /usr/lib/udisks2/udisksd was killed by signal 11 (SIGSEGV)
reported_to:    uReport: BTHASH=1592215b7410fac73d68551d97bc2dfa677ce8af
runlevel:       N 5
uid:            0
ureports_counter: 1
Comment 143 Tomáš Bžatek 2013-05-24 10:43:13 EDT
*** Bug 966079 has been marked as a duplicate of this bug. ***
Comment 144 Tomáš Bžatek 2013-05-28 08:02:10 EDT
*** Bug 967195 has been marked as a duplicate of this bug. ***
Comment 145 Tomáš Bžatek 2013-05-29 05:10:10 EDT
*** Bug 967974 has been marked as a duplicate of this bug. ***
Comment 146 Tomáš Bžatek 2013-05-29 10:02:03 EDT
Debugged with Hans de Goede having the same symptomps in bug 966079, filed upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=65130 with proposed patch.
Comment 147 Tomáš Bžatek 2013-05-29 10:06:09 EDT
Created attachment 754400 [details]
proof of concept patch

For the record, this is the original proof-of-concept patch from Hans that has proved to fix the issue.
Comment 148 Fedora Update System 2013-05-29 10:55:01 EDT
polkit-0.107-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/polkit-0.107-5.fc18
Comment 149 Fedora Update System 2013-05-29 10:56:32 EDT
polkit-0.111-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/polkit-0.111-2.fc19
Comment 150 Tomáš Bžatek 2013-05-29 11:02:56 EDT
*** Bug 962153 has been marked as a duplicate of this bug. ***
Comment 151 Tomáš Bžatek 2013-05-29 11:03:21 EDT
*** Bug 965868 has been marked as a duplicate of this bug. ***
Comment 152 Tomáš Bžatek 2013-05-29 11:03:39 EDT
*** Bug 965271 has been marked as a duplicate of this bug. ***
Comment 153 Fedora Update System 2013-05-29 22:53:35 EDT
Package polkit-0.107-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polkit-0.107-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9590/polkit-0.107-5.fc18
then log in and leave karma (feedback).
Comment 154 Fedora Update System 2013-05-31 23:23:09 EDT
polkit-0.111-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 155 Tomáš Bžatek 2013-06-03 05:02:47 EDT
*** Bug 969818 has been marked as a duplicate of this bug. ***
Comment 156 Tomáš Bžatek 2013-06-03 05:39:34 EDT
*** Bug 969994 has been marked as a duplicate of this bug. ***
Comment 157 Fedora Update System 2013-06-11 05:14:06 EDT
polkit-0.107-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 158 Tomáš Bžatek 2013-06-11 05:40:32 EDT
*** Bug 972865 has been marked as a duplicate of this bug. ***
Comment 159 Tomáš Bžatek 2013-06-11 05:40:58 EDT
*** Bug 971678 has been marked as a duplicate of this bug. ***
Comment 160 Tomáš Bžatek 2013-06-11 09:51:12 EDT
*** Bug 973192 has been marked as a duplicate of this bug. ***
Comment 161 Miloslav Trmač 2013-07-09 11:42:30 EDT
*** Bug 915077 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.